<?php
/**
 * Superb transition slideshow
 *
 * @package 	Superb transition slideshow
 * @subpackage 	mod_superb_transition_slideshow
 * @version   	4.0
 * @author    	Gopi Ramasamy
 * @copyright   Copyright (C) 2010 - 2021 www.gopiplus.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 *
 * http://www.gopiplus.com/extensions/2011/06/superb-transition-slideshow-joomla-module/
 */
 
namespace Joomla\Module\SuperbTransitionSlideshow\Site\Helper;

defined('_JEXEC') or die;

use Joomla\String\StringHelper;
use Joomla\CMS\Uri\Uri;

abstract class SuperbTransitionSlideshowHelper
{
	public static function getImages(&$params, $folder)
	{
		$type = $params->get('sts_imgtype', 'jpg');

		$files	= array();
		$images	= array();
			
		$dir = JPATH_BASE . '/' . $folder;

		// Check if directory exists
		if (is_dir($dir))
		{
			if ($handle = opendir($dir))
			{
				while (false !== ($file = readdir($handle)))
				{
					if ($file !== '.' && $file !== '..' && $file !== 'CVS' && $file !== 'index.html')
					{
						$files[] = $file;
					}
				}
			}

			closedir($handle);

			$i = 0;

			foreach ($files as $img)
			{
				if (!is_dir($dir . '/' . strtoupper($img)) && preg_match('/' . strtoupper($type) . '/', strtoupper($img)))
				{
					$images[$i] = new \stdClass;

					$images[$i]->name   = $img;
					$images[$i]->folder = $folder;
					$i++;
				}
			}
		}
		else
		{
			echo \JText::_('No directory <br>' . $dir . '<br>');
		}
		
		return $images;
	}

	public static function getFolder(&$params)
	{
		$folder	= $params->get('sts_imgfolder');
		$LiveSite = Uri::base();

		// If folder includes livesite info, remove
		if (StringHelper::strpos($folder, $LiveSite) === 0)
		{
			$folder = str_replace($LiveSite, '', $folder);
		}

		// If folder includes absolute path, remove
		if (StringHelper::strpos($folder, JPATH_SITE) === 0)
		{
			$folder = str_replace(JPATH_BASE, '', $folder);
		}

		return str_replace(array('\\', '/'), DIRECTORY_SEPARATOR, $folder);
	}
}